Avançar para o conteúdo principal

Driver Installer Package

Descrição

Macintosh Installer Package for the Phaser 750, supporting 10.3-10.6.

Supported platforms

  • Mac OS X 10.6 - Snow Leopard
  • Mac OS X 10.5 or lower

Supported languages

  • German
  • English (N. America)
  • English (Global)
  • Spanish
  • French
  • Italian
  • Korean
  • Chinese (Simplified)

Supported products

  • Phaser 750

Necessita de mais apoio?

Encontre as respostas no fórum de apoio à comunidade

Entre na conversa
Entre na conversa
Entre na conversa